Process

List

get

Retrieve the list of all processes for all the VDI Host sessions.

Query parameters
SiteIdinteger · int32Optional

Site ID from which to retrieve the specified Provider server information (optional).

ServerstringOptional

The name of the Provider server for which to retrieve the information (optional).

Responses
chevron-right
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a VDI Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

vdiHostIdstring · nullableOptional

Host VM ID

get
/api/Provider/VM/Host/Process

List by Provider ID

get

Retrieve the list of all processes for all the sessions of a specified Provider.

Path parameters
providerIdinteger · int32Required

The ID of the Provider server.

Responses
chevron-right
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a VDI Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

vdiHostIdstring · nullableOptional

Host VM ID

get
/api/Provider/{providerId}/VM/Host/Process

List by Provider and VM ID

get

Retrieve the list of all processes for a specified VDI Host of a specified Provider.

Path parameters
providerIdinteger · int32Required

The ID of the Provider server.

vmIdstringRequired

VM ID.

Responses
chevron-right
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a VDI Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

vdiHostIdstring · nullableOptional

Host VM ID

get
/api/Provider/{providerId}/VM/{vmId}/Host/Process

Get

get

Retrieve a specified process for a specified session of a specified Provider.

Path parameters
providerIdinteger · int32Required

The ID of the Provider server.

vmIdstringRequired

VM ID.

pIdinteger · int32Required

ID of the process to be retrieved

Responses
chevron-right
200

Success

application/json; api-version=1.0

Information about applications running in Remote Session on a VDI Server

namestring · nullableOptional

Published Item name.

appNamestring · nullableOptional

Application name.

processstring · nullableOptional

Process name.

pidinteger · int32Optional

Process ID.

userstring · nullableOptional

User which is running the application.

sessioninteger · int32Optional

RAS session ID.

serverIDinteger · int32Optional

Server ID from where the application is hosted.

vdiHostIdstring · nullableOptional

Host VM ID

get
/api/Provider/{providerId}/VM/{vmId}/Host/Process/{pId}